function $$$(id) {
	return document.getElementById(id);
}
function Forward(url) {
	window.location.href = url;
}
function _postback() {
	return void (1);
}
jQuery.fn.exists = function () { return this.length > 0; }
//----------------------------------------------------------------------------------------------------------------------
function ajaxFunction() {
	var xmlHttp = null;
	try {
		// Firefox, Internet Explorer 7. Opera 8.0+, Safari.
		xmlHttp = new XMLHttpRequest();
	}
	catch (e) {
		// Internet Explorer 6.
		try {
			xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
		}
		catch (e) {
			try {
				xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
			}
			catch (e) {
				return false;
			}
		}
	}
}

//----------------------------------------------------------------------------------------------------------------------
/**
 *
 * @param obj
 * @returns {string}
 */
function $query(obj) {
	var query = "";
	$(obj).find("input").each(function (i) {
		var t = $(obj).find("input").eq(i);
		if ((t.attr("type") != "checkbox") && (t.attr("type") != "button") && (t.attr("type") != "radio")) {
			if (t.attr("type") != "password") {
				query += "&" + t.attr("name") + "=" + encodeURIComponent(t.val());
			} else {
				query += "&" + t.attr("name") + "=" + document.getElementById(t.attr("name")).value;
			}
		}
		else {
			if (t.attr("type") == "checkbox") {
				if (t.is(":checked"))
					query += "&" + t.attr("name") + "=" + t.attr("value");
			}
			else if (t.attr("type") == "radio") {
				if (t.is(":checked"))
					query += "&" + t.attr("name") + "=" + t.attr("value");
			}
		}
	});
	$(obj).find("textarea").each(function (i) {
		var t = $(obj).find("textarea").eq(i);
		query += "&" + t.attr("name") + "=" + encodeURIComponent(t.val());
	});
	$(obj).find("button").each(function (i) {
		var t = $(obj).find("button").eq(i);
		query += "&" + t.attr("name") + "=" + encodeURIComponent(t.val());
	});
	$(obj).find("select").each(function (i) {
		var t = $(obj).find("select").eq(i);
		query += "&" + t.attr("name") + "=" + encodeURIComponent(t.val());
	});

	return query.substring(1);
}

//----------------------------------------------------------------------------------------------------------------------
function $query_unt(obj) {
	var query = "";
	$(obj).find("input").each(function (i) {
		var t = $(obj).find("input").eq(i);
		if ((t.attr("type") != "button") && (t.attr("type") != "submit") && (t.attr("type") != "reset") && (t.attr("type") != "hidden")) {
			if ((t.attr("type") != "checkbox") && (t.attr("type") != "radio")) {
				t.val('');
			} else {
				t.attr("checked", false);
			}
		} else { }
	});
	$(obj).find("textarea").each(function (i) {
		var t = $(obj).find("textarea").eq(i);
		t.val('');
	});
	return true;
}
//----------------------------------------------------------------------------------------------------------------------
function showLoader() {
	$("#_loading").html("<div style=\"position: fixed; top: 50%; right: 50%; text-align: center; background: transparent; z-index: 999999999;\"><div class=\"windows8\"> <div class=\"wBall\" id=\"wBall_1\"> <div class=\"wInnerBall\"> </div> </div> <div class=\"wBall\" id=\"wBall_2\"> <div class=\"wInnerBall\"> </div> </div> <div class=\"wBall\" id=\"wBall_3\"> <div class=\"wInnerBall\"> </div> </div> <div class=\"wBall\" id=\"wBall_4\"> <div class=\"wInnerBall\"> </div> </div> <div class=\"wBall\" id=\"wBall_5\"> <div class=\"wInnerBall\"> </div> </div> </div></div>").show().fadeIn(10);
	block = true;
}

//----------------------------------------------------------------------------------------------------------------------
function closeLoader() {
	$("#_loading").html("").hide().fadeOut(100);
	block = false;
}

//----------------------------------------------------------------------------------------------------------------------
function showResult(type, data) {
	closeLoader();
	$("#" + type + "").html(data).hide().fadeIn(100);
	block = false;
}

//----------------------------------------------------------------------------------------------------------------------
$(document).ready(function () {
	$(".olala-vp360").each(function () {
		$(this).html('');
		$(this).Valiant360();
	});
	$(window).scroll(function () {
		if ($(this).scrollTop() > 50) {
			$('#f_cart').stop().animate({
				bottom: '150px'
			}, 100);
			$('#go-top').stop().animate({
				bottom: '96px'
			}, 150);
		} else {
			$('#f_cart').stop().animate({
				bottom: '-70px'
			}, 100);
			$('#go-top').stop().animate({
				bottom: '-50px'
			}, 150);
		}
	});
	$('#go-top').click(function () {
		$('html, body').stop().animate({
			scrollTop: 0
		}, 500, function () {
			$('#go-top').stop().animate({
				bottom: '-50px'
			}, 150);
		});
	});
	//---
	$('#b_register').click(function (e) {
		showLoader();
		$.ajax({
			url: '/action.php',
			type: 'POST',
			data: 'url=m_register',
			dataType: 'html',
			success: function (data) {
				showResult('b_modal', data);
				$('#b_modal').modal();
			}
		});
		return false;
	});
	//---
	$(".sendsocial").click((function (e) {
		e.preventDefault();
		var t = '';
		switch ($(this).attr("rel")) {
			case "facebook":
				t = "https://www.facebook.com/sharer.php?u=" + $(this).attr("data-href") + "&p[title]=" + encodeURI($(this).attr("data-title"));
				break;
			case "fbhome":
				t = "https://www.facebook.com/sharer.php?u=https://" + window.location.host;
				break;
			case "twitter":
				t = "https://twitter.com/share?url=" + $(this).attr("data-href") + "&title=" + encodeURI($(this).attr("data-title"));
				break;
			case "pinterest":
				t = "https://pinterest.com/pin/create/button/?url=" + $(this).attr("data-href") +
					"&media=" + $(this).attr("data-image") +
					"&description=" + encodeURI($(this).attr("data-title"));
				break;
			case "copylink":
				var linkToCopy = $(this).attr("data-href"); // Lấy link cần copy từ data-href
				var $tempInput = $('<input>'); // Tạo phần tử input tạm bằng jQuery
				$('body').append($tempInput); // Thêm input tạm vào body
				$tempInput.val(linkToCopy).select(); // Gán giá trị và chọn nội dung trong input
				document.execCommand('copy'); // Sao chép nội dung đã chọn
				$tempInput.remove(); // Xóa input tạm sau khi sao chép
				alert('Link copied to clipboard: ' + linkToCopy); // Thông báo cho người dùng
				break;
			case "gplus":
				t = "https://plus.google.com/share?url=" + $(this).attr("data-href")
		}
		return "" === t || window.open(t, "", "_blank,resizable=yes,width=800,height=450").focus(), !1
	})), $(".sendmail").attr("href", "mailto:email@domain.com?subject=" + window.encodeURIComponent(document.title) + "&body=" + window.encodeURIComponent(window.location.toString())), $(".sendprint").click((function (e) {
		var t = $(this).attr("data-href");
		e.preventDefault(), window.open(t, "_blank", "height=500,width=800,status=yes,location=no,menubar=no,resizable=yes,scrollbars=yes,titlebar=yes,top=50,left=100", !0)
	}));

	$('ul.sb-trade > li').click(function (e) {
		$(this).toggleClass('active');
		var trade = [];
		let url = new URL(location.href);
		let params = new URLSearchParams(url.search);
		$(this).closest('.sb-trade').find('li.active').each(function () {
			trade.push($(this).attr('data-role'));
		});
		params.delete('trade');
		params.append('trade', trade.toString());
		url.search = params;
		window.location.href = url.href;
	});
	$('.hd-search').on('click', '.b-search', function () {
		if ($(this).hasClass('active')) {
			$(this).removeClass('active');
			$(this).find('i.fa').removeClass('fa-times').addClass('fa-search');
			$(this).next('.form-search').slideUp();
		} else {
			$(this).addClass('active');
			$(this).find('i.fa').removeClass('fa-search').addClass('fa-times');
			$(this).next('.form-search').slideDown();
		}
	});
	$('.f-project').on('change', 'select[name="classify"]', function (e) {
		let url = new URL(location.href);
		let params = new URLSearchParams(url.search);
		let val = $(this).val();
		params.delete('fp');
		params.append('fp', val);
		url.search = params;
		window.location.href = url.href;
	});
});
$(document).ready(function () {
	$('.l-selected').on('click', function () {
		$('.lang-op').toggleClass('active');
	})

});
$(window).load(function () {
	$(".detail-wp img").each(function () {
		if ($(this).width() > 100) {
			$(this).replaceWith('<label class="mx-img">' + $(this)[0].outerHTML + '</label>');
		}
	});
});
const messages = {
	vi: {
		name: {
			required: 'Vui lòng nhập Họ và Tên',
			regex: 'Họ và tên không hợp lệ',
		},
		tel: {
			required: 'Vui lòng nhập Số điện thoại',
			phoneVN: 'Số điện thoại không hợp lệ',
		},
		email: {
			required: 'Vui lòng nhập Email',
			email: 'Định dạng email không hợp lệ',
			regex: 'Email không hợp lệ'
		},
		title: {
			required: 'Vui lòng nhập Tiêu đề',
		},
		content: {
			required: 'Vui lòng nhập Nội dung',
		},
		note: {
			required: 'Nhập ghi chú',
		},
		quantity: {
			min: 'Tối thiểu là 1',
			max: 'Tối đa là 99'
		},
		company: {
			required: 'Vui lòng nhập Tên công ty',
		},
		position: {
			required: 'Vui lòng nhập Chức vụ',
		},
		requiredDefault: 'Trường này là bắt buộc',

		choose: 'Chọn sự kiện khác',

	},
	en: {
		name: {
			required: 'Please enter Full Name',
			regex: 'Invalid Full Name'
		},
		tel: {
			required: 'Please enter Phone Number',
			phoneVN: 'Please enter a number from 0-9',
		},
		email: {
			required: 'Please enter Email',
			email: 'Invalid email format',
			regex: 'Invalid Email'
		},
		title: {
			required: 'Please enter Title',
		},
		content: {
			required: 'Please enter Content',
		},
		note: {
			required: 'Please enter Note',
		},
		quantity: {
			min: 'Min 1',
			max: 'Max 99'
		},
		company: {
			required: 'Please enter Company Name',
		},
		position: {
			required: 'Please enter Position',
		},
		requiredDefault: 'This field is required',

		choose: 'Choose another event',
	},
};
function getMessages(lang) {
	return messages[lang];
}
(function ($, W, D) {
	var JQUERY4U = {};
	JQUERY4U.UTIL = {
		setupFormValidation: function () {
			$.validator.addMethod("regex", function (value, element, regexp) {
				var re = new RegExp(regexp);
				return this.optional(element) || re.test(value);
			}, getMessages(currentLang).email.regex);

			$.validator.addMethod("phoneVN", function (value, element) {
				var phonePatternVN = /^(03|05|07|08|09)\d{8}$/; // Số di động VN (10 số)
				var phonePatternVNFixed = /^(02[0-9])\d{8}$/;  // Số cố định VN (10 số)
				var phonePatternInternational = /^\+[\d\s\-()]{7,15}$/; // Số quốc tế (+84 123456789)
				return this.optional(element) || phonePatternVN.test(value) || phonePatternVNFixed.test(value) || phonePatternInternational.test(value);
				// return this.optional(element) || phonePattern10.test(value) || phonePattern11.test(value) || phonePatternInternational.test(value);
			}, getMessages(currentLang).tel.phoneVN);

			$.validator.setDefaults({
				ignore: ':hidden:not(.selectpicker)',

				errorPlacement: function (error, element) {
					if ($(element).is('.selectpicker')) {
						element.next().after(error);
					} else {
						error.insertAfter(element);
					}
				}
			});
			$.validator.messages.required = getMessages(currentLang).requiredDefault;
			$("#_contact").validate({
				rules: {
					name: {
						required: true,
						regex: /^[a-zA-ZÀ-Ỹà-ỹ\s]+$/
					},
					tel: {
						required: true,
						phoneVN: true,
					},
					email: {
						required: true,
						email: true,
						regex: /^\b[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,3}\b$/i
					},
					title: {
						required: true,
					},
					content: {
						required: true
					}
				},
				messages: getMessages(currentLang),
				submitHandler: function (f) {
					sendForm('#_contact', 'contact');
				}
			});
			$("#_register").validate({
				rules: {
					tel: {
						required: true,
						phoneVN: true,
					},
					email: {
						required: true,
						email: true,
						regex: /^\b[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,3}\b$/i
					},
					name: {
						required: true,
					},
					company: {
						required: true,
					},
					position: {
						required: true,
					}
				},
				messages: getMessages(currentLang),
				submitHandler: function (f) {
					sendForm('#_register', 'register');
				}
			});

		}
	};

	$(D).ready(function ($) {
		JQUERY4U.UTIL.setupFormValidation();
	});
})(jQuery, window, document);


function sendForm(fm, type) {
	var btn = $(fm).find('button.btn-send[type="submit"]');
	$(btn).addClass('b-active');
	$(btn).attr('disabled', 'disabled');
	$(btn).next('.btn').hide();
	var dataList = new FormData($(fm)[0]);
	dataList.append("url", type);
	dataList.append("lang", currentLang)
	$.ajax({
		url: '/action.php',
		type: 'POST',
		data: dataList,
		dataType: 'json',
		success: function (rs) {
			$query_unt(fm);
			if (rs.pcs === true) {
				$.modal.close();
				$(btn).next('.btn').remove();
				$(btn).removeClass('b-active').addClass('b-finished').attr('disabled', 'disabled');
				if (rs.link) {
					alert(rs.msg, function () {
						window.location.href = rs.link;
					});
				} else {
					alert(rs.msg);
				}
			} else {
				alert(rs.msg, function () {
					$(btn).removeClass('b-active');
					$(btn).removeAttr('disabled');
					$(btn).next('.btn').show();
				});
			}
		},
		cache: false,
		contentType: false,
		processData: false
	});
	return false;
}

$(document).ready(function () {
	$('.btn-select').on('click', function () {
		$(this).toggleClass('active');
		if ($('.menu-burger').hasClass('active')) {
			$('.menu-burger').removeClass('active');
			$('#burger').removeClass('active');
		}
	});
	$(document).on('click', function (e) {
		if (!$(e.target).closest('.btn-select').length) {
			$('.btn-select').removeClass('active');
		}
	})
	$('.btn-day').on('click', function () {
		$('.btn-day').removeClass('active');
		$(this).addClass('active');
		var id = $(this).data('id');
		$.ajax({
			url: '/action.php',
			type: 'POST',
			data: {
				url: 'get_program',
				id: id,
				lang: G_web['LANG']
			},
			dataType: 'html',
			success: function (data) {
				$('#_program').html(data);

				var local = $('.container-program').data('local');
				var map = $('.container-program').data('map');
				if (local != '') {
					$('#_localProgram').html(local);
					$('#_localProgram').removeClass('hide');
				} else {
					$('#_localProgram').html('');
					$('#_localProgram').addClass('hide');
				}
				if (map != '') {
					$('#_viewMap').attr('href', map);
					$('#_viewMap').removeClass('hide');
				} else {
					$('#_viewMap').attr('href', '');
					$('#_viewMap').addClass('hide')
				}

			}
		});
	});
	$('.menu-ar').on('click', function () {
		$('.menu-ar').removeClass('active');
		$(this).addClass('active');
		var id = $(this).data('id');
		$.ajax({
			url: '/action.php',
			type: 'POST',
			data: {
				url: 'get_investment',
				id: id,
				lang: G_web['LANG']
			},
			dataType: 'html',
			success: function (data) {
				$('#_investment').html(data);
			}
		});
	});
	$('.box-answers').on('click', function () {
		$('.box-answers').removeClass('active');
		$(this).addClass('active');
	});

	$(document).on('click', '.pagination .page-btn', function () {
		let page = $(this).data('page');
		let menuId = $('.pagination').data('menu');

		$.ajax({
			url: '/action.php',
			type: 'POST',
			data: {
				url: 'get_list_guest',
				page: page,
				menu_id: menuId,
				lang: G_web['LANG']
			},
			success: function (data) {
				$('#guest-wrapper').html(data);
				$('html, body').animate({
					scrollTop: $('#guest-wrapper').offset().top - 100
				}, 500);
			},
			error: function () {
				alert('Có lỗi xảy ra khi tải dữ liệu.');
			}
		});
	});
	$('[data-goto]').on('click', function (e) {
		e.preventDefault();
		const target = $(this).data('goto');

		if ($(target).length) {
			$('html, body').animate({
				scrollTop: $(target).offset().top
			}, 600); // Thời gian cuộn 600ms
		}
		if ($('.menu-burger').hasClass('active')) {
			$('.menu-burger').removeClass('active');
			$('#burger').removeClass('active');
		}
	});

	$('.view-info').on('click', function () {
		$('.modal_blocker').show();
		$('html').addClass('no-scroll');
		const id = $(this).data('id');
		$.ajax({
			url: '/action.php',
			type: 'GET',
			data: {
				url: 'get_info',
				id: id,
				lang: G_web['LANG']
			},
			success: function (data) {
				$('#modal_popup').html(data);
				setTimeout(function () {
					$('#modal_popup').addClass('show');
				}, 500);
				$('#modal_popup').addClass('show');

				$('.btn-close').on('click', function () {
					$('#modal_popup').removeClass('show');
					$('html').removeClass('no-scroll');
					setTimeout(function () {
						$('.modal_blocker').hide();
						$('#modal_popup').html('');
					}, 500);
				});
			},
			error: function () {
				alert('An error occurred while loading data.');
			}
		});
	});
	$('.btn-detail').on('click', function (event) {
		event.stopPropagation(); // Ngăn sự kiện lan lên cha
	});
	$(document).on('click', function (e) {
		if ($('#modal_popup').hasClass('show') && !$(e.target).closest('#modal_popup').length) {
			$('#modal_popup').removeClass('show');
			$('html').removeClass('no-scroll');
			setTimeout(function () {
				$('.modal_blocker').hide();
				$('#modal_popup').html('');
			}, 500);
		}
	});

	$('#burger').on('click', function () {
		$(this).toggleClass('active');
		$('.menu-burger').toggleClass('active');
	});
});
